<?php

function enviar_email($asunto, $texto, $email_enviado = "desconocido@nosepuso.com", $nombre_enviado = "Desconocido (no se puso)")
{
	$email = "pbibcambrils@granvino.com";

	if (!$email_enviado || trim($email_enviado) == "") { $email_enviado = "desconocido@nosepuso.com"; }
	if (!$nombre_enviado || trim($nombre_enviado) == "") { $nombre_enviado = "Desconocido (no se puso)"; }

	//Crear las cabeceras:
    $headers ="Date: ".date("l j F Y, G:i")."\r\n"; 
    $headers .="MIME-Version: 1.0\r\n"; 
    $headers .="From: ".$nombre_enviado."<".$email_enviado.">\r\n";
    $headers .="Return-path: ".$email_enviado."\r\n";
    $headers .="Reply-To: ".$email_enviado."\r\n";
    $headers .="Errors-To: ".$email_enviado."\r\n";
    $headers .="X-Personal_name:".$nombre_enviado."\r\n";
    $headers .= "X-Mailer:PHP/".phpversion()."\r\n"; 
    $headers .="Content-type: text/html; charset=iso-8859-1\r\n"; 
        
    //Enviar E-Mail:
    $email_enviado_bien = @mail($email, htmlentities($asunto), htmlentities($texto), $headers);

	return $email_enviado_bien;
}


function validar_email($email)
{
	return eregi("^[a-zA-Z0-9_.-]+[a-zA-Z0-9]+@[a-zA-Z0-9]+[a-zA-Z0-9.-]+[a-zA-Z0-9]+.[a-z]{2,4}$", $email);
}

?>
